Create Lead: Entrata
https://api.propexo.com/v1/leads/entrata/| Method |
|---|
| leads/sendLeads |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the lead source
The Propexo unique identifier for the unit
The Propexo unique identifier for the lease period
The Propexo unique identifier for the employee
The first name associated with the lead
The last name associated with the lead
Primary phone number associated with the lead. This is often required, but this is configurable to be optional by the property manager. Make sure this is being provided if it's configured to be required for your customer.
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe middle name associated with the lead
Secondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe primary email address associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The move-in date associated with the lead
The maximum rent cost the lead is looking to pay, in cents
The minimum rent cost the lead is looking to pay, in cents
The desired number of bathrooms
The desired number of bedrooms
The number of occupants living in the unit
Notes associated with the lead
events object[]deprecated
DEPRECATED: Please use /events endpoints to write events. Array of events associated with this lead
The Propexo unique identifier for the unit
The PMS id for the event type.
The PMS id for the leasing agent.
The PMS id for the event sub type.
The PMS id for the event result.
The date and time that the event occured.
The date and time that the appointment will occur. Required if using appointment type.
General notes about the event.
Title for the event.
The reason the event occurred.
Response
Successful response
- Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the lead source
The Propexo unique identifier for the unit
The Propexo unique identifier for the lease period
The Propexo unique identifier for the employee
The first name associated with the lead
The last name associated with the lead
Primary phone number associated with the lead. This is often required, but this is configurable to be optional by the property manager. Make sure this is being provided if it's configured to be required for your customer.
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe middle name associated with the lead
Secondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe primary email address associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The move-in date associated with the lead
The maximum rent cost the lead is looking to pay, in cents
The minimum rent cost the lead is looking to pay, in cents
The desired number of bathrooms
The desired number of bedrooms
The number of occupants living in the unit
Notes associated with the lead
events object[]required
The Propexo unique identifier for the unit
The PMS id for the leasing agent.
The PMS id for the event sub type.
The PMS id for the event result.
The date and time that the event occured.
The date and time that the appointment will occur. Required if using appointment type.
General notes about the event.
Title for the event.
The reason the event occurred.
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/leads/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"lead_source_id": "string",
"first_name": "string",
"last_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"lead_source_id": "string",
"unit_id": "string",
"lease_period_id": "string",
"employee_id": "string",
"first_name": "string",
"last_name": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"middle_name": "string",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_max_rent_in_cents": 0,
"desired_min_rent_in_cents": 0,
"desired_num_bathrooms": 0,
"desired_num_bedrooms": 0,
"number_of_occupants": 0,
"notes": "string",
"events": "Unknown Type: array,null"
}
}